Agent-readable docs index: /llms.txt. Full docs in one file: /llms-full.txt. Download /docs.zip to grep all markdown files locally.

Create Assignment

Create a Driving assignment from a drawn area, radius, zip, county, list, filter, or existing area source.
body titlestringrequired
Assignment title
body sourceobjectrequired
Assignment source. Include kind with one of draw, radius, zip, county, list, filter, or existing-area.
body assigned_to_user_idnumber
User ID to assign the work to
body assigned_to_agent_slugstring
Agent slug for supported agent assignments
body prioritystring
high, medium, or low
Request example
curl https://api.v2.dealmachine.com/v1/driving/assignments \ -H "Authorization: Bearer dm_sk_live_xxx" \ -H "Content-Type: application/json" \ -d '{ "title": "North side drive", "source": { "kind": "filter", "filters": [] }, "assigned_to_user_id": 123, "priority": "medium" }'